%global base_name  attributes
%global short_name commons-%{base_name}

Name:          apache-commons-attributes
Version:       2.2
Release:       %mkrel 1
Summary:       Commons Attributes Package
Group:         Development/Java
License:       ASL 2.0
Url:           http://commons.apache.org/attributes/
Source0:       http://apache.fastbull.org//commons/attributes/source/commons-attributes-2.2-src.tar.gz
Source1:       apache-commons-attributes-api-2.2.pom
Source2:       apache-commons-attributes-compiler-2.2.pom
Patch0:        apache-commons-attributes-2.2-plugin_jelly.patch
Patch1:        apache-commons-attributes-2.2-build_xml.patch
Patch2:        apache-commons-attributes-2.2-qdox1_12.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: apache-commons-beanutils
BuildRequires: junit
BuildRequires: qdox
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis

Requires:      ant
Requires:      qdox

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Commons Attributes enables Java programmers to use C#/.Net-style attributes in their code.

%package javadoc
Summary:       API documentation for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains API documentation for %{name}

%prep
%setup -q -n %{short_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p0

for j in $(find . -name "*.jar"  -o -name '*.class' ); do
  rm -rf $j
done

%build

export CLASSPATH=$(build-classpath qdox ant/ant-junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 -Dbuild.sysclasspath=only dist

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}

install -pm 644 target/%{short_name}-api-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-api-%{version}.jar
install -pm 644 target/%{short_name}-compiler-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-compiler-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|apache-||g"`
  done
)

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{short_name}-api.pom
%add_to_maven_depmap %{short_name} %{short_name}-api %{version} JPP %{short_name}-api
install -pm 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{short_name}-compiler.pom
%add_to_maven_depmap %{short_name} %{short_name}-compiler %{version} JPP %{short_name}-compiler

mkdir -p %{buildroot}%{_javadocdir}/%{short_name}
cp -pr  dist/docs/api/* %{buildroot}%{_javadocdir}/%{short_name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-api-%{version}.jar
%{_javadir}/%{name}-api.jar
%{_javadir}/%{name}-compiler-%{version}.jar
%{_javadir}/%{name}-compiler.jar
%{_javadir}/%{short_name}-api-%{version}.jar
%{_javadir}/%{short_name}-api.jar
%{_javadir}/%{short_name}-compiler-%{version}.jar
%{_javadir}/%{short_name}-compiler.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc *.txt

%files javadoc
%{_javadocdir}/%{short_name}

%changelog

* Sun Sep 11 2011 gil <gil> 2.2-1.mga2
+ Revision: 142514
- rebuilt with qdox 1.12 support
- imported package apache-commons-attributes

